# Proboscis CLI

A cli interface to connect to proboscis for quick ssh to clients

## Installation

Add this line to your application's Gemfile:

    gem 'proboscis_cli'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install proboscis_cli

## Usage
### Configuring environmental variables

```bash
  $ export proboscis_qa=<base_path>
  $ export proboscis_prod=<base_path>
  $ export proboscis_qa_user=<username>
  $ export proboscis_qa_pass=<password>
  $ export proboscis_prod_user=<username>
  $ export proboscis_prod_pass=<password>
  $ export proboscis_qa_target_port=<target_ssh_port>
  $ export proboscis_qa_target_user=<target_ssh_user>
  $ export proboscis_prod_target_port=<target_ssh_port>
  $ export proboscis_prod_target_user=<target_ssh_user>
  $ export araneae_qa_token=<araneae_token>
  $ export araneae_prod_token=<araneae_token>
```

```bash
  $ ssh-add <path to qa private key>
  $ ssh-add <path to prod private key>
```

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
